# FindSimilarCompounds.py - plugin module for StarDrop
#
# Copyright (C) Optibrium Ltd 2016
# stardrop-support@optibrium.com
#
# This module enables searching of PubChem, ChEMBL and the Protein Data Bank
# to retrieve find similar compounds

# For advice or feedback, contact stardrop-support@optibrium.com

import PDBSimilaritySearch
import PubChemSimilaritySearch
import ChemblSimilaritySearch

def similaritySearchPDBLigands(appui):
    PDBSimilaritySearch.findSimilarPDBLigands(appui)

def similaritySearchPubChemLigands(appui):
    PubChemSimilaritySearch.findSimilarPubChemCompounds(appui)
    
def similaritySearchChEMBLLigands(appui):
    ChemblSimilaritySearch.findSimilarChemblCompounds(appui)

	
def get_stardrop_definitions():
    definitions = [
        {
            'script_name': 'Find Similar Compounds/Protein Data Bank',
            'callback': similaritySearchPDBLigands
        },
		{
            'script_name': 'Find Similar Compounds/PubChem',
            'callback': similaritySearchPubChemLigands
        },
		{
            'script_name': 'Find Similar Compounds/ChEMBL',
            'callback': similaritySearchChEMBLLigands
        }
    ]

    return definitions
